﻿Type=Activity
Version=2.52
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim ScreenCanvas As Canvas
	Dim ScreenTimer As Timer
	Dim DebugLabel As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	ScreenCanvas.Initialize(Activity)	
	
	DebugLabel.Initialize("")
	Activity.AddView(DebugLabel, 25%x,0,50%x,12.5%x)
	If DebugLabel.IsInitialized Then
		Dim sb As SmartBitmap
		DebugLabel.Text = NumberFormat2(sb.MaxMem, 0, 2, 2, True) & "MB" & CRLF & NumberFormat2(sb.heapsize, 0, 2, 2, True) & "MB"
	End If	
	
	ScreenTimer.Initialize("ScreenTimer", 1000)
	ScreenTimer.Enabled = True
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)
	Activity.Finish
End Sub

Sub Activity_Touch (Action As Int, X As Float, Y As Float)
	Select Case Action
		Case Activity.ACTION_UP
			UnloadScreen
			StartActivity(act5)
			modGlobal.SetAnimation("noanim","noanim")			
			Activity.Finish
	End Select
End Sub

Sub ScreenTimer_Tick
	If DebugLabel.IsInitialized Then
		Dim sb As SmartBitmap
		DebugLabel.Text = NumberFormat2(sb.MaxMem, 0, 2, 2, True) & "MB" & CRLF & NumberFormat2(sb.heapsize, 0, 2, 2, True) & "MB"		
	End If	
End Sub

Sub LoadScreen()
	ScreenCanvas.DrawColor(Colors.RGB(Rnd(0,256),Rnd(0,256),Rnd(0,256)))
End Sub

Sub UnloadScreen()
	ScreenTimer.Enabled = False
	ScreenCanvas = Null
End Sub